conversationId is supplied directly in the URL path.stageId and tags and adds stage, containing the current stage ID and readable name. Both stageId and stage are null when unstaged. tags is the current tag list and is [] when empty. These classifications belong to the conversation in its channel.{
"stageId": "22222222-2222-2222-2222-222222222222",
"stage": { "id": "22222222-2222-2222-2222-222222222222", "name": "Quotation sent" },
"tags": []
}GET /v2/conversations/service-account/channels/{channelId}?ContactIds={contactId}. WhatsApp webhooks already include conversationId, contactId and channelId. Call webhooks include contactId (nullable) and channelId, but not conversationId.curl --location 'https://api.voxa.sa/v2/conversations/service-account/' \
--header 'Authorization: Bearer <token>'{
"id": "3a21fc...............",
"sentiment": 1,
"status": 1,
"lastActivityAt": "2026-06-21T13:15:47.459339",
"contactId": "3a21fb...............",
"contactName": "Ahmed Noshy | Hatif Co",
"contactType": 1,
"phoneNumber": "+966501234567",
"channelId": "3a1bf3...............",
"assigneeId": null,
"assignedAiAgentId": null,
"isAiAssignee": false,
"assigneeName": null,
"channel": {
"id": "3a1bf3...............",
"name": "هاتف",
"type": 3,
"icon": "📱",
"phoneNumber": null
},
"lastEventSourceType": null,
"lastEventDirection": null,
"lastEventStatus": "",
"lastEventPreviewBody": null,
"lastEventOccurredAt": null,
"lastEventsCount": 0,
"tags": [],
"unreadCount": 0,
"isPinned": false
}